
c/* @(#)tmatrx.f	1.1      latest revision 6/23/89 14:55:21 */
      subroutine coulomb2(scoul, sigl, aovera, ld, njump )
**********************************************************************

      implicit real*8 (a-h, o-z)

      real*8      k0
      real*8      Mnuc , Mnuc2 , MN , Mp , Mp2

      dimension tr(100,12),ti(100,12)

      dimension   scoul(100)
      dimension   nifty(20)

      common /kinemt/   El , Ecm , k0, pl , s , Mp2 , Mnuc , Mnuc2
      common /params/   hbarc, pi, Mp, MN, nz, na, nes, nwaves
      common /switch/   nifty
      common /Tcomn/    tr , ti 

***************************************************************************

c *** include coulomb phase factor in nuclear amplitude

      sigl = scoul(ld)
      if (nifty(10) .eq. 2) sigl = 0
      rhl5 = cos(2 * sigl)
      rhl6 = sin(2 * sigl)
      tr(ld,1) = rhl5 * tr(ld,1) - rhl6 * ti(ld,1)
      ti(ld,1) = rhl6 * tr(ld,1) + rhl5 * ti(ld,1)
      tr(ld,3) = rhl5 * tr(ld,3) - rhl6 * ti(ld,3)
      ti(ld,3) = rhl6 * tr(ld,3) + rhl5 * ti(ld,3)
       if (ld.gt.2) then
      tr(ld-2,5) = rhl5 * tr(ld-2,5) - rhl6 * ti(ld-2,5)
      ti(ld-2,5) = rhl6 * tr(ld-2,5) + rhl5 * ti(ld-2,5)
        endif
        if(ld.gt.1) then
      tr(ld,7) = rhl5 * tr(ld,7) - rhl6 * ti(ld,7)
      ti(ld,7) = rhl6 * tr(ld,7) + rhl5 * ti(ld,7)
       if (ld.lt.3) then
      tr(ld-1,7) = rhl5 * tr(ld-1,7) - rhl6 * ti(ld-1,7)
      ti(ld-1,7) = rhl6 * tr(ld-1,7) + rhl5 * ti(ld-1,7)
      endif
      endif


      RETURN

      end
